# --- File  : ag_vrml_wite.tcl
# --- Date  : 16-Feb-2006
# --- By    : Harald Sund
# --- About : Vrml write

AG_My_save_a_file *.wrl
if {$ag_tmp::filename != ""} {
  if [file exists "$ag_tmp::filename"] {
    set button [qwarning "A file named $ag_tmp::filename already exists. Overwrite ?" "File Exists" Yes No]
    if { $button == 0 } {
      set ag_tmp::label1 "<B><FONT COLOR=#AA0000>Replacing vrml-file $ag_tmp::filename"
      qprocessevents
      vrml open $ag_tmp::filename
      vrml write
      vrml close
      set ag_tmp::label1 "<B><FONT COLOR=#AA0000>$ag_tmp::filename replaced"
    } elseif { $button == 1 } {
      set ag_tmp::label1 "<B><FONT COLOR=#AA0000>Save operation cancelled by user"
    }
  } else {
    # alts filnavn eksisterer ikke...
      vrml open $ag_tmp::filename
      vrml write
      vrml close
      set ag_tmp::label1 "<B><FONT COLOR=#AA0000>vrml-file $ag_tmp::filename stored"
  }
} else {
  set ag_tmp::label1 "<B><FONT COLOR=#AA0000>Export vrml-file cancelled by user"  
}
# --- eof
